EnKash Developer Portal
Home
Home
Login
  1. Home
  • Back to home
  • APIs - Expense
  • Token API
    POST
  • Account Transaction
    POST
  • Search expenses
    POST
  • Create Card Expense
    POST
  • Attach Expense Receipt
    POST
  • Create Travel Request
    POST
  1. Home

Create Card Expense

POST
/api/v0/partner/expense/card
Records a card or wallet payment that is already paid. It does not go to a manager for approval.
Send the details as query parameters. There is no JSON body.
The same transaction id and the same amount is rejected.
A different amount for the same transaction id creates another expense.

Request

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://ekpayout-uat.enkash.in/api/v0/partner/expense/card?userId=&transactionId=&amount=&merchantName=&mobile=&txnDate=&expensePaymentMode=&accountType=&remarks=&handleId=&tenantName=&branchCode=&categoryId=&vehicleId=&utr=' \
--header 'Authorization;' \
--header 'Accept;'

Responses

🟢200Success
application/json
Expense created. response_code is 0.
Bodyapplication/json

Example
{
    "response_code": 0,
    "response_message": "Expense has been successfully created.",
    "payload": {
        "expenseId": "EXP123456",
        "expenseDate": "2026-09-15 10:30:00",
        "createdDate": "2026-09-15 10:30:12",
        "amount": 1250.5,
        "merchantName": "IRCTC",
        "remarks": "Delhi-Mumbai",
        "category": "Travel",
        "paymentMode": "FREEDOM_CARD",
        "paymentIdentifier": "TXN123456",
        "settlementStatus": "AUTO_CREATED",
        "empName": "Rahul Sharma",
        "empEmail": "rahul@enkash.com",
        "employeeId": "EMP001",
        "branchCode": "BLR01",
        "autoCreated": true,
        "singleExpenseReport": false,
        "policyDeviation": false,
        "accountType": "PETTY_CASH",
        "receiptUrls": null,
        "expenseHistoryResponse": [
            {
                "expenseUserType": "EMPLOYEE",
                "ekUserId": "EKUSER001",
                "ekUserName": "Rahul Sharma",
                "activity": "AUTO_CREATED",
                "remarks": null,
                "priority": 0,
                "approvalMandatory": false,
                "readyForApproval": false
            }
        ]
    }
}
🟠400
🟠401
🟠403
Modified at 2026-11-02 19:46:09
Previous
Search expenses
Next
Attach Expense Receipt
Built with